<div class="row" *ngIf="!loading">
  <div class="col-sm-12 col-md-4">
    <ul class="list-group">
      <li 
      class="list-group-item list-group-item-action"
      *ngFor="let _teacher of teachers"
      (click)="selectTeacher(_teacher)"
      [class.active]="teacher===_teacher"
      >
      {{_teacher.full_name}}
      </li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-8">
    <div *ngIf="teacher">
        <div class="form-row">
            <div class="form-group col-sm-12 col-md-4">
                <select [(ngModel)]="dateModel.year" id="year" class="form-control">
                  <option *ngFor="let year of yearsList" [value]="year">{{year}}</option>
                </select>
              </div>
              <div class="form-group col-sm-12 col-md-4">
                <select [(ngModel)]="dateModel.month" id="month" class="form-control">
                  <option *ngFor="let month of monthsList; let i = index" [value]="i+1">{{month}}</option>
                </select>
              </div>
              <div class="form-group col-sm-12 col-md-4">
                <label></label>
                <button type="button" class="btn btn-primary" (click)="selectDate()">Выбрать дату</button>
              </div>
          </div>
      <hr />
      <h2>{{teacher.full_name}}</h2>
      <p>За месяц {{monthsList[month-1]}} {{teacherPayment}} тг</p>
      <hr />
      <h3>Группы</h3>
      <ngb-accordion #acc="ngbAccordion" activeIds="ngb-panel-0">
        <ngb-panel *ngFor="let group of teacherGroups" title="group.name">
            <ng-template ngbPanelContent>
              <p *ngIf="group.exercises.length === 0">Занятий не было</p>
              <ul class="list-group" *ngIf="group.exercises.length > 0">
                  <li class="list-group-item list-group-item-action flex-column align-items-start pointer" *ngFor="let exercise of group.exercises">
                    <div class="d-flex w-100 justify-content-between">
                      <h5 class="mb-1">Урок №{{exercise.id}}</h5>
                      <small>с {{exercise.start_time}} до {{exercise.end_time}}</small>
                    </div>
                    <p class="mb-1">Дата: {{exercise.class_date}}</p>
                    <small *ngIf="exercise.comments">{{exercise.comments}}</small>
                  </li>
                </ul>
            </ng-template>
          </ngb-panel>
      </ngb-accordion>
    </div>
  </div>
</div>